'<%
' *****************************************************
' ADO - Crea mdb file.vbs
' (c) Cenati Giovanni - http://digilander.libero.it/Cenati
' Codice vbs liberamente utilizzabile citando il sito
' Questo programma  diviso in tre parti indipendenti.
' La prima parte crea un file mdb vuoto (database di Access)
' La seconda parte apre il file mdb e vi crea
' una tabella con tre colonne.
' La terza parte accede all'archivio e scrive un record.
' --
' This script is made of 3 independent parts.
' The first creates an empty mdb file (Access database).
' The second creates a table with 3 columns in it.
' The third writes a record.
' *****************************************************
Const Jet10 = 1
Const Jet11 = 2
Const Jet20 = 3
Const Jet3x = 4
Const Jet4x = 5

Sub CreateNewMDB(FileName, Format)
  Dim Catalog
  Set Catalog = CreateObject("ADOX.Catalog")
  Catalog.Create "Provider=Microsoft.Jet.OLEDB.4.0;" & _
     "Jet OLEDB:Engine Type=" & Format & _
    ";Data Source=" & FileName
End Sub

'Crea nuovo database
CreateNewMDB "test.mdb", Jet4x

'------------------------------------------------------------------

'Apre il database creato e aggiunge una tabella con alcune colonne.
set tbl = createobject ("ADOX.Table")
set cat = createobject ("ADOX.Catalog")
    
' Open the Catalog.
cat.ActiveConnection = "Provider='Microsoft.Jet.OLEDB.4.0';" & _
        "Data Source='test.mdb';"
    'Membri di ADODB.DataTypeEnum
    Const adInteger = 3
    Const adVarWChar = 202
    Const adBinary = 128
    Const adDate = 7
    Const adDecimal = 14
    Const adDouble = 5
    Const adLongVarWChar = 203
    tbl.Name = "Clienti"
    tbl.Columns.Append "Codice", adInteger
    tbl.Columns.Append "Nome", adVarWChar, 50
    tbl.Columns.Append "Cognome", adVarWChar, 50
    cat.Tables.Append tbl
set tbl = nothing
set cat = nothing

'------------------------------------------------------------------

Set rs = CreateObject("ADODB.Recordset")
Set oConnection = createobject("ADODB.Connection")
oConnection.open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source='test.mdb';"
rs.ActiveConnection = oConnection
rs.CursorType=1 : rs.LockType=3

' Imposto il nome della tabella in cui scrivere
rs.Source= "Clienti" 
rs.Open
'Aggiungo un record nuovo e ci scrivo
rs.AddNew
rs("Codice") = 7
rs("Nome") = "Giovanni"
rs("Cognome") = "Cenati"
'Chiedo ad ADO di scrivere il record creato.
rs.Update
'********* ADO - Crea mdb file.vbs ***************